> ## Documentation Index
> Fetch the complete documentation index at: https://developers.projectcor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post project message



## OpenAPI

````yaml /api-reference/openapi.json post /projects/{id}/messages
openapi: 3.1.0
info:
  title: COR API
  description: >-
    The COR API lets you integrate with projectcor.com applications using simple
    HTTP methods, in either XML or JSON formats, making this an ideal API for
    developing integrations with other softwares, external clients or mobile
    applications
  version: 1.0.0
servers:
  - url: https://api.projectcor.com/v1
    description: Production server
security:
  - bearerAuth: []
paths:
  /projects/{id}/messages:
    post:
      tags:
        - Projects
        - Messages
      summary: Post project message
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/MessageInput'
      responses:
        '200':
          description: Message posted successfully
components:
  schemas:
    MessageInput:
      type: object
      required:
        - message
      properties:
        message:
          type: string
          description: Text Message
        attachments:
          type: array
          items:
            $ref: '#/components/schemas/AttachmentInput'
          description: Optional attachments
    AttachmentInput:
      type: object
      properties:
        id:
          type: integer
          description: ID Attachment
        name:
          type: string
          description: Name of file
        url:
          type: string
          description: public-url provided by COR
        type:
          type: string
          description: File type
        source:
          type: string
          description: 'Source of file: attachments S#, Drive, One Drive, Dropbox'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````